## cobbler 2.4.0

=== Makefile ===
#MESSAGESPOT=po/messages.pot

TOP_DIR:=$(shell pwd)

prefix=devinstall
statepath=/tmp/cobbler_settings/$(prefix)

all: clean build

clean:
	-rm -rf build rpm-build
	-rm -f *~
	-rm -f cobbler/*.pyc
	-rm -rf dist
	-rm -rf buildiso
	-rm MANIFEST
	-rm -f koan/*.pyc
	-rm -f config/version
	-rm -f docs/*.1.gz 
	-rm *.tmp
	-rm *.log

test:
	make savestate prefix=test
	make rpms
	make install
	make eraseconfig
	/sbin/service cobblerd restart
	-(make nosetests)
	make restorestate prefix=test
	/sbin/service cobblerd restart

nosetests:
	PYTHONPATH=./cobbler/ nosetests -v -w newtests/ 2>&1 | tee test.log

build:
	python setup.py build -f

# Assume we're on RedHat by default ('apache' user),
# otherwise Debian / Ubuntu ('www-data' user)
install: build
	if [ -n "`getent passwd apache`" ] ; then \
		python setup.py install -f; \
		chown -R apache /usr/share/cobbler/web; \
		chown -R apache /var/lib/cobbler/webui_sessions; \
	else \
		python setup.py install -f --install-layout=deb; \
		chown -R www-data /usr/share/cobbler/web; \
		chown -R www-data /var/lib/cobbler/webui_sessions; \
	fi

devinstall:
	-rm -rf /usr/share/cobbler
	make savestate
	make install
	make restorestate

savestate:
	mkdir -p $(statepath)
	cp -a /var/lib/cobbler/config $(statepath)
	cp /etc/cobbler/settings $(statepath)/settings
	cp /etc/cobbler/modules.conf $(statepath)/modules.conf
	@if [ -d /etc/httpd ] ; then \
		cp /etc/httpd/conf.d/cobbler.conf $(statepath)/http.conf; \
		cp /etc/httpd/conf.d/cobbler_web.conf $(statepath)/cobbler_web.conf; \
	else \
		cp /etc/apache2/conf.d/cobbler.conf $(statepath)/http.conf; \
		cp /etc/apache2/conf.d/cobbler_web.conf $(statepath)/cobbler_web.conf; \
	fi
	cp /etc/cobbler/users.conf $(statepath)/users.conf
	cp /etc/cobbler/users.digest $(statepath)/users.digest
	cp /etc/cobbler/dhcp.template $(statepath)/dhcp.template
	cp /etc/cobbler/rsync.template $(statepath)/rsync.template


# Assume we're on RedHat by default, otherwise Debian / Ubuntu
restorestate:
	cp -a $(statepath)/config /var/lib/cobbler
	cp $(statepath)/settings /etc/cobbler/settings
	cp $(statepath)/modules.conf /etc/cobbler/modules.conf
	cp $(statepath)/users.conf /etc/cobbler/users.conf
	cp $(statepath)/users.digest /etc/cobbler/users.digest
	if [ -d /etc/httpd ] ; then \
		cp $(statepath)/http.conf /etc/httpd/conf.d/cobbler.conf; \
		cp $(statepath)/cobbler_web.conf /etc/httpd/conf.d/cobbler_web.conf; \
	else \
		cp $(statepath)/http.conf /etc/apache2/conf.d/cobbler.conf; \
		cp $(statepath)/cobbler_web.conf /etc/apache2/conf.d/cobbler_web.conf; \
	fi
	cp $(statepath)/dhcp.template /etc/cobbler/dhcp.template
	cp $(statepath)/rsync.template /etc/cobbler/rsync.template
	find /var/lib/cobbler/triggers | xargs chmod +x
	if [ -n "`getent passwd apache`" ] ; then \
		chown -R apache /var/www/cobbler; \
	else \
		chown -R www-data /usr/share/cobbler/webroot/cobbler; \
	fi
	if [ -d /var/www/cobbler ] ; then \
		chmod -R +x /var/www/cobbler/web; \
		chmod -R +x /var/www/cobbler/svc; \
	fi
	if [ -d /usr/share/cobbler/webroot ] ; then \
		chmod -R +x /usr/share/cobbler/webroot/cobbler/web; \
		chmod -R +x /usr/share/cobbler/webroot/cobbler/svc; \
	fi
	rm -rf $(statepath)

completion:
	python mkbash.py

webtest: devinstall
	make clean
	make devinstall
	make restartservices

# Assume we're on RedHat by default, otherwise Debian / Ubuntu
restartservices:
	if [ -x /sbin/service ] ; then \
		/sbin/service cobblerd restart; \
		/sbin/service httpd restart; \
	else \
		/usr/sbin/service cobblerd restart; \
		/usr/sbin/service apache2 restart; \
	fi

sdist: clean
	python setup.py sdist

rpms: clean sdist
	mkdir -p rpm-build
	cp dist/*.gz rpm-build/
	rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir %{_topdir}" \
	--define '_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm' \
	--define "_sourcedir  %{_topdir}" \
	-ba cobbler.spec

eraseconfig:
	-rm /var/lib/cobbler/distros*
	-rm /var/lib/cobbler/profiles*
	-rm /var/lib/cobbler/systems*
	-rm /var/lib/cobbler/repos*
	-rm /var/lib/cobbler/networks*
	-rm /var/lib/cobbler/config/distros.d/*
	-rm /var/lib/cobbler/config/images.d/*
	-rm /var/lib/cobbler/config/profiles.d/*
	-rm /var/lib/cobbler/config/systems.d/*
	-rm /var/lib/cobbler/config/repos.d/*
	-rm /var/lib/cobbler/config/networks.d/*

tags:
	find . -type f -name '*.py' | xargs etags -c TAGS

=== debian/changelog ===
cobbler (2.4.0-0ubuntu3) saucy; urgency=low

  * cobbler{,-web}.post{inst,rm}: Migrate to Apache 2.4. (LP: #1224006)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 12 Sep 2013 14:45:41 +0300

cobbler (2.4.0-0ubuntu2) saucy; urgency=low

  * cobbler-web.postinst: Generate a random key for SECURITY_KEY in settings.py.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 29 Aug 2013 19:32:56 +0300

cobbler (2.4.0-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 29 Aug 2013 18:54:28 +0300

cobbler (2.4.0-1) UNRELEASED; urgency=low

  * New upstream release.
    - works with python-django 1.4 and up (LP: #1076290)
    - cobbler system edit emits an error on failure (LP: #1015678)
    - rework power commands to not allow command injection (LP: #978999)
  * Dropped patches:
    - 12_fix_dhcp_restart.patch: obsolete.
    - 21_cobbler_use_netboot.patch: obsolete
    - 34_fix_apache_wont_start.patch: obsolete
    - 39_cw_remove_vhost.patch: obsolete
    - 42_fix_repomirror_create_sync.patch: upstream
    - 43_fix_reposync_env_variable.patch: upstream
    - 45_add_gpxe_support.patch: implemented differently upstream
    - 47_ubuntu_add_codenames.patch: obsolete
    - 48_ubuntu_mini_iso_autodetect.patch: obsolete
    - 51_koan_grub2_instead_of_grubby.patch: upstream
    - 53_sample_preseed_kopts_postinst.patch: upstream
    - 54_koan_fix_tree_when_ksmeta.patch: upstream
    - 56_ubuntu_arm_generate_pxe_files.patch: upstream
    - 57_ubuntu_dnsmasq_domain.patch: obsolete
    - 58_fix_egg_cache.patch: upstream
    - 60_yaml_safe_load.patch: upstream
    - 62_profile_hostname_no_underscore.patch: upstream
    - 64_ubuntu_cobbler_check_disable_loaders.patch: ubuntuism
    - 67_ubuntu_online_doc_link.patch: ubuntuism
    - 69_issue93_fix_trace_in_write_pxe_file.patch: upstream
    - 72-BUGFIX-issue-117-incorrect-permissions-on-files-in-v.patch:
      upstream
  * rules: Replace the old get-orig-source target with gentarball, which
    generates the tarball from the upstream git branch.
  * cobbler-common.install: Install the correct gpxe template.
  * cobbler.postinst: Enable mod_rewrite.
  * Refresh patches.
  * rules: Use --list-missing for dh_install.
  * Migrate /usr/share/cobbler/webroot to /var/lib/cobbler/webroot.
  * rules, cobbler-common.install: Remove some files from the tmpdir that
    are not needed in the package(s), and let cobbler-common include
    everything left in etc/cobbler.
  * control: Bump policy to 3.9.4, no changes.
  * cobbler.install, control: Install cobbler(1) with the binary, replace old
    cobbler-common.
  * cobbler.install: Include ovz-install.
  * cobbler-common.install, 65_ubuntu_disable_pxe_snippet.patch: Replace
    the patch with snippet/disable_pxe, which is included in cobbler-common.
  * gbp.conf: Added.
  * python-cobbler.install: Install egg-info.
  * fix-invalid-input-type.diff: Backported patch from upstream to fix
    imports.
  * fix-signatures.diff: Add saucy, and allow importing mini-iso's.
  * cobbler-web.postinst: Generate a random key for SECURITY_KEY in settings.py.
  * cobbler{,-web}.post{inst,rm}: Migrate to Apache 2.4. (LP: #1224006)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 22 Nov 2012 11:13:11 +0200

=== debian/control ===
Source: cobbler
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jasper Poppe <jpoppe@ebay.com>
Build-Depends: debhelper (>= 7.0.50),
 po-debconf,
 python-all,
 python-cheetah, 
 python-yaml, 
 git-core, 
 python-setuptools,
 python-netaddr,
 python-nose,
 python-simplejson,
XS-Python-Version: 2.7
Standards-Version: 3.9.4
Homepage: https://fedorahosted.org/cobbler

Package: cobbler
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 apache2,
 hardlink,
 libapache2-mod-wsgi,
 lsb-release,
 openssl,
 python,
 python-twisted,
 rsync,
 syslinux | syslinux-common,
 libapache2-mod-wsgi,
 libapache2-mod-python,
 cobbler-common (= ${binary:Version}),
 distro-info
Replaces: cobbler-common (<< 2.4.0-1)
Recommends: fence-agents,
            powerwake,
            tftpd-hpa
Suggests: createrepo,
 bind9,
 debmirror,
 dhcp3-server,
 genisoimage,
Description: Install server
 Cobbler is a network install server. Cobbler supports PXE, virtualized
 installs, and reinstalling existing Linux machines. The last two modes
 use a helper tool, 'koan', that integrates with cobbler. Cobbler's
 advanced features include importing distributions from DVDs and rsync
 mirrors, kickstart templating, integrated yum mirroring, and built-in
 DHCP/DNS Management. Cobbler has a Python and XMLRPC API for
 integration with other applications. There is also a web interface.

Package: python-cobbler
Section: python
Architecture: all
Depends: ${python:Depends}, 
 python-yaml, 
 python-netaddr, 
 python-cheetah, 
 python-simplejson, 
 python-urlgrabber, 
 python-django (>= 1.2),
 python-distro-info,
 ${misc:Depends}
Provides: ${python:Provides}
Description: Install server - python libraries.
 Cobbler is a network install server. Cobbler supports PXE, virtualized
 installs, and reinstalling existing Linux machines. The last two modes use
 a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced
 features include importing distributions from DVDs and rsync mirrors,
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS
 Management. Cobbler has a Python and XMLRPC API for integration with other
 applications. There is also a web interface.
 .
 This package includes the cobbler python modules.

Package: cobbler-common
Architecture: all
Depends: ${misc:Depends},
 python-cobbler (= ${binary:Version})
Provides: ${python:Provides}
Description: Cobbler Install server - common files
 Cobbler is a network install server. Cobbler supports PXE, virtualized 
 installs, and reinstalling existing Linux machines. The last two modes use 
 a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced 
 features include importing distributions from DVDs and rsync mirrors, 
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS 
 Management. Cobbler has a Python and XMLRPC API for integration with other 
 applications. There is also a web interface.
 .
 This package includes the common files.

Package: cobbler-web
Architecture: all
Depends: cobbler (= ${binary:Version} ),
 cobbler-common (= ${binary:Version} ),
 ${misc:Depends},
 openssl,
Provides: ${python:Provides}
Description: Cobbler Install server - web interface
 Cobbler is a network install server. Cobbler supports PXE, virtualized 
 installs, and reinstalling existing Linux machines. The last two modes use 
 a helper tool, 'koan', that integrates with cobbler. Cobbler's advanced 
 features include importing distributions from DVDs and rsync mirrors, 
 kickstart templating, integrated yum mirroring, and built-in DHCP/DNS 
 Management. Cobbler has a Python and XMLRPC API for integration with other 
 applications. There is also a web interface.
 .
 This package includes the web interface and its corresponding
 configuration files.

Package: koan
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-koan, libvirt-bin, virtinst
Description: kickstart-over-a-network (koan)
 Koan stands for kickstart-over-a-network and allows for both network 
 installation of new virtualized guests and re-installation of an existing 
 system.  For use with a boot-server configure with Cobbler.

Package: python-koan
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-libvirt,
 python-simplejson,
 python-urlgrabber,
 python-ethtool
Provides: ${python:Provides}
Conflicts: python-cobbler (<= 2.1.0~bzr2002-0ubuntu2)
Replaces: python-cobbler (<= 2.1.0~bzr2002-0ubuntu2)
Description: kickstart-over-a-network (koan) - python libraries
 Koan stands for kickstart-over-a-network and allows for both network
 installation of new virtualized guests and re-installation of an existing
 system.  For use with a boot-server configure with Cobbler.
 .
 This package includes the koan python modules.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
# export DH_VERBOSE=1

RELEASE_VERSION := 2005

%:
	dh $@ --with python2

override_dh_auto_build:
	[ -d excluded_files/cobbler ] || mkdir -p excluded_files/cobbler
	[ -d excluded_files/koan ] || mkdir -p excluded_files/koan
	mv -f cobbler/sub_process.py excluded_files/cobbler
	mv -f koan/sub_process.py excluded_files/koan
	mv -f koan/opt_parse.py excluded_files/koan
	mv -f koan/text_wrap.py excluded_files/koan
	python setup.py build

override_dh_auto_clean:
	dh_auto_clean
	if [ -d excluded_files/cobbler ] ; then \
		mv excluded_files/cobbler/* cobbler ;\
	fi
	if [ -d excluded_files/koan ] ; then \
		mv excluded_files/koan/* koan ;\
	fi
	if [ -d excluded_files ] ; then \
		rm -rf excluded_files ;\
fi
	rm -f docs/*.gz

override_dh_auto_test:
	nosetests cobbler/*.py || true

override_dh_auto_install:
	python setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/sbin/tftpd.py $(CURDIR)/debian/tmp/usr/sbin/tftpd
	chmod -x $(CURDIR)/debian/tmp/var/lib/cobbler/webroot/cobbler/svc/services.py

override_dh_install:
	# remove files we don't want or need
	for i in \
		etc/init.d/cobblerd \
		etc/apache2/conf.d/cobbler.conf \
		etc/apache2/conf.d/cobbler_web.conf \
		etc/cobbler/cobblerd.service \
		etc/cobbler/distro_signatures.json \
		etc/cobbler/users.digest \
		;do rm -f $(CURDIR)/debian/tmp/$$i; done

	dh_install --list-missing

# For maintainer use only, generate a tarball:
gentarball: SOURCE=cobbler
gentarball: UV=$(shell dpkg-parsechangelog|awk '/^Version:/ {print $$2}'|sed 's/-.*$$//')
gentarball:
	git archive --format=tar upstream-unstable --prefix=$(SOURCE)-$(UV)/ | gzip -9 > ../$(SOURCE)_$(UV).orig.tar.gz

## cobbler 2.4.1

=== Makefile ===
--- 
+++ 
@@ -13,12 +13,12 @@
 	-rm -f cobbler/*.pyc
 	-rm -rf dist
 	-rm -rf buildiso
-	-rm MANIFEST
+	-rm -f MANIFEST
 	-rm -f koan/*.pyc
 	-rm -f config/version
 	-rm -f docs/*.1.gz 
-	-rm *.tmp
-	-rm *.log
+	-rm -f *.tmp
+	-rm -f *.log
 
 test:
 	make savestate prefix=test
@@ -93,15 +93,15 @@
 	if [ -n "`getent passwd apache`" ] ; then \
 		chown -R apache /var/www/cobbler; \
 	else \
-		chown -R www-data /usr/share/cobbler/webroot/cobbler; \
+		chown -R www-data /usr/share/cobbler/web/cobbler_web; \
 	fi
 	if [ -d /var/www/cobbler ] ; then \
 		chmod -R +x /var/www/cobbler/web; \
 		chmod -R +x /var/www/cobbler/svc; \
 	fi
-	if [ -d /usr/share/cobbler/webroot ] ; then \
-		chmod -R +x /usr/share/cobbler/webroot/cobbler/web; \
-		chmod -R +x /usr/share/cobbler/webroot/cobbler/svc; \
+	if [ -d /usr/share/cobbler/web ] ; then \
+		chmod -R +x /usr/share/cobbler/web/cobbler/cobbler_web; \
+		chmod -R +x /srv/www/cobbler/svc; \
 	fi
 	rm -rf $(statepath)
 
@@ -151,5 +151,6 @@
 	-rm /var/lib/cobbler/config/repos.d/*
 	-rm /var/lib/cobbler/config/networks.d/*
 
-tags:
-	find . -type f -name '*.py' | xargs etags -c TAGS
+.PHONY: tags
+tags: 
+	find . \( -name build -o -name .git \) -prune -o -type f -name '*.py' -print | xargs etags -o TAGS --

=== debian/changelog ===
cobbler (2.4.1-0ubuntu2) trusty; urgency=medium

  * add-trusty.diff: Fix a typo.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 20 Feb 2014 11:52:50 +0200

cobbler (2.4.1-0ubuntu1) trusty; urgency=medium

  * Merge from unreleased debian git
    - new upstream release (LP: #1278898)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 13 Feb 2014 23:24:48 +0200

cobbler (2.4.1-1) UNRELEASED; urgency=low

  * New upstream release.
    - works with python-django 1.4 and up (LP: #1076290)
    - cobbler system edit emits an error on failure (LP: #1015678)
    - rework power commands to not allow command injection (LP: #978999)
  * Dropped patches:
    - 12_fix_dhcp_restart.patch: obsolete.
    - 21_cobbler_use_netboot.patch: obsolete
    - 34_fix_apache_wont_start.patch: obsolete
    - 39_cw_remove_vhost.patch: obsolete
    - 42_fix_repomirror_create_sync.patch: upstream
    - 43_fix_reposync_env_variable.patch: upstream
    - 45_add_gpxe_support.patch: implemented differently upstream
    - 46_valid_hostname_for_dns.patch: upstream
    - 47_ubuntu_add_codenames.patch: obsolete
    - 48_ubuntu_mini_iso_autodetect.patch: obsolete
    - 51_koan_grub2_instead_of_grubby.patch: upstream
    - 53_sample_preseed_kopts_postinst.patch: upstream
    - 54_koan_fix_tree_when_ksmeta.patch: upstream
    - 56_ubuntu_arm_generate_pxe_files.patch: upstream
    - 57_ubuntu_dnsmasq_domain.patch: obsolete
    - 58_fix_egg_cache.patch: upstream
    - 60_yaml_safe_load.patch: upstream
    - 62_profile_hostname_no_underscore.patch: upstream
    - 63_fix_arch_in_mirror_path.patch: upstream
    - 64_ubuntu_cobbler_check_disable_loaders.patch: ubuntuism
    - 67_ubuntu_online_doc_link.patch: ubuntuism
    - 69_issue93_fix_trace_in_write_pxe_file.patch: upstream
    - 72-BUGFIX-issue-117-incorrect-permissions-on-files-in-v.patch:
      upstream
  * rules: Replace the old get-orig-source target with gentarball, which
    generates the tarball from the upstream git branch.
  * cobbler-common.install: Install the correct gpxe template.
  * cobbler.postinst: Enable mod_rewrite.
  * Refresh patches.
  * rules: Use --list-missing for dh_install.
  * Migrate /usr/share/cobbler/webroot to /var/lib/cobbler/webroot.
  * rules, cobbler-common.install: Remove some files from the tmpdir that
    are not needed in the package(s), and let cobbler-common include
    everything left in etc/cobbler.
  * control: Bump policy to 3.9.5, no changes.
  * cobbler.install, control: Install cobbler(1) with the binary, replace old
    cobbler-common.
  * cobbler.install: Include ovz-install.
  * cobbler-common.install, 65_ubuntu_disable_pxe_snippet.patch: Replace
    the patch with snippet/disable_pxe, which is included in cobbler-common.
  * python-cobbler.install: Install egg-info.
  * cobbler-web.postinst: Generate a random key for SECURITY_KEY in settings.py.
  * cobbler{,-web}.post{inst,rm}: Migrate to Apache 2.4. (LP: #1224006)
  * cobbler-web: Depend on apache2-utils because postinst uses htpasswd.
  * control, copyright: Update upstream url.
  * control: Update maintainer.
  * compat, control: Bump compat to 9.
  * use-django-conf-urls.diff: Backport a fix for new django.
  * control, rules: Drop embedded jquery.min.js, depend on the packaged one.
  * cobbler.init: Include an initscript.
  * add-trusty.diff: Add signature for trusty tahr.
  * control: Add Vcs headers.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 22 Nov 2012 11:13:11 +0200

cobbler (2.4.0-0ubuntu4) saucy; urgency=low

  * cobbler-web: Depend on apache2-utils. (LP: #1224887)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 13 Sep 2013 13:45:29 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: cobbler
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jasper Poppe <jpoppe@ebay.com>
-Build-Depends: debhelper (>= 7.0.50),
+Maintainer: Timo Aaltonen <tjaalton@ubuntu.com>
+Build-Depends: debhelper (>= 9),
  po-debconf,
  python-all,
  python-cheetah, 
@@ -14,8 +13,10 @@
  python-nose,
  python-simplejson,
 XS-Python-Version: 2.7
-Standards-Version: 3.9.4
-Homepage: https://fedorahosted.org/cobbler
+Standards-Version: 3.9.5
+Homepage: https://cobbler.github.com
+Vcs-Git: git://anonscm.debian.org/collab-maint/cobbler.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cobbler.git
 
 Package: cobbler
 Architecture: all
@@ -23,6 +24,7 @@
  apache2,
  hardlink,
  libapache2-mod-wsgi,
+ libjs-jquery,
  lsb-release,
  openssl,
  python,
@@ -97,6 +99,7 @@
  cobbler-common (= ${binary:Version} ),
  ${misc:Depends},
  openssl,
+ apache2-utils,
 Provides: ${python:Provides}
 Description: Cobbler Install server - web interface
  Cobbler is a network install server. Cobbler supports PXE, virtualized

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,11 @@
 		etc/cobbler/cobblerd.service \
 		etc/cobbler/distro_signatures.json \
 		etc/cobbler/users.digest \
+		var/lib/cobbler/webroot/cobbler_webui_content/jquery.min.js \
 		;do rm -f $(CURDIR)/debian/tmp/$$i; done
+	# link to the system jquery.min.js
+	ln -s -t $(CURDIR)/debian/tmp/var/lib/cobbler/webroot/cobbler_webui_content \
+		/usr/share/javascript/jquery/jquery.min.js
 
 	dh_install --list-missing

## cobbler 2.6.6+dfsg1

=== Makefile ===
#MESSAGESPOT=po/messages.pot

TOP_DIR:=$(shell pwd)

DESTDIR=/

prefix=devinstall
statepath=/tmp/cobbler_settings/$(prefix)

all: clean build

clean:
	-rm -rf build rpm-build
	-rm -f *~
	-rm -f cobbler/*.pyc
	-rm -rf dist
	-rm -rf buildiso
	-rm -f MANIFEST
	-rm -f koan/*.pyc
	-rm -f config/version
	-rm -f docs/*.1.gz 
	-rm -f *.tmp
	-rm -f *.log

test:
	make savestate prefix=test
	make rpms
	make install
	make eraseconfig
	/sbin/service cobblerd restart
	-(make nosetests)
	make restorestate prefix=test
	/sbin/service cobblerd restart

nosetests:
	PYTHONPATH=./cobbler/ nosetests -v -w newtests/ 2>&1 | tee test.log

build:
	python setup.py build -f

# Debian/Ubuntu requires an additional parameter in setup.py
install: build
	if [ -e /etc/debian_version ]; then \
		python setup.py install --root $(DESTDIR) -f --install-layout=deb; \
	else \
		python setup.py install --root $(DESTDIR) -f; \
	fi

devinstall:
	-rm -rf $(DESTDIR)/usr/share/cobbler
	make savestate
	make install
	make restorestate

savestate:
	python setup.py -v savestate --root $(DESTDIR); \


# Check if we are on Red Hat, Suse or Debian based distribution
restorestate:
	python setup.py -v restorestate --root $(DESTDIR); \
	find $(DESTDIR)/var/lib/cobbler/triggers | xargs chmod +x
	if [ -n "`getent passwd apache`" ] ; then \
		chown -R apache $(DESTDIR)/var/www/cobbler; \
	elif [ -n "`getent passwd wwwrun`" ] ; then \
		chown -R wwwrun $(DESTDIR)/usr/share/cobbler/web/cobbler_web; \
	elif [-n "`getent passwd www-data`"] ; then \
		chown -R www-data $(DESTDIR)/usr/share/cobbler/web/cobbler_web; \
	fi
	if [ -d $(DESTDIR)/var/www/cobbler ] ; then \
		chmod -R +x $(DESTDIR)/var/www/cobbler/web; \
		chmod -R +x $(DESTDIR)/var/www/cobbler/svc; \
	fi
	if [ -d $(DESTDIR)/usr/share/cobbler/web ] ; then \
		chmod -R +x $(DESTDIR)/usr/share/cobbler/web/cobbler_web; \
		chmod -R +x $(DESTDIR)/srv/www/cobbler/svc; \
	fi
	rm -rf $(statepath)

completion:
	python mkbash.py

webtest: devinstall
	make clean
	make devinstall
	make restartservices

# Check if we are on Red Hat, Suse or Debian based distribution
restartservices:
	if [ -x /sbin/service ] ; then \
		# Red Hat-based or Suse-based
		/sbin/service cobblerd restart; \
	    if [ -f /etc/init.d/httpd ] ; then \
			# Red Hat-based
			/sbin/service httpd restart; \
		else \
			# Suse-based
			/sbin/service apache2 restart; \
	else \
		# Debian / Ubuntu
		/usr/sbin/service cobblerd restart; \
		/usr/sbin/service apache2 restart; \
	fi

sdist: clean
	python setup.py sdist

rpms: clean sdist
	mkdir -p rpm-build
	cp dist/*.gz rpm-build/
	rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define "_specdir %{_topdir}" \
	--define '_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm' \
	--define "_sourcedir  %{_topdir}" \
	-ba cobbler.spec

eraseconfig:
	-rm /var/lib/cobbler/distros*
	-rm /var/lib/cobbler/profiles*
	-rm /var/lib/cobbler/systems*
	-rm /var/lib/cobbler/repos*
	-rm /var/lib/cobbler/networks*
	-rm /var/lib/cobbler/config/distros.d/*
	-rm /var/lib/cobbler/config/images.d/*
	-rm /var/lib/cobbler/config/profiles.d/*
	-rm /var/lib/cobbler/config/systems.d/*
	-rm /var/lib/cobbler/config/repos.d/*
	-rm /var/lib/cobbler/config/networks.d/*

.PHONY: tags
tags: 
	find . \( -name build -o -name .git \) -prune -o -type f -name '*.py' -print | xargs etags -o TAGS --

=== debian/changelog ===
cobbler (2.6.6+dfsg1-13) unstable; urgency=medium

  [ Thomas Goirand ]
  * Added /etc/cobbler/pxe template files.
  * Use dnsmasq instead of bind and isc-dhcp by default.
  * Add debian/dnsmasq.upstream directly in cobbler-common, so the user doesn't
    have to manually copy it.
  * Add bind9utils and bind9host as depends in cobbler.
  * Fix /etc/cobbler/settings @@webroot@@ to be the full path.
  * Remove add-trusty.patch (applied upstream).
  * Set 10.20.0.2 as default server: and next_server: directives.
  * Switch to openstack-pkg-tools for the startup scripts, so that Cobbler has
    support for upstart, sysv-rc and systemd.
  * Removed $named form init script.
  * Fixed Apache access rights to /cobbler_webui_content.
  * Fixed unix rights of /etc/cobbler/settings.
  * Removed wrong patch of cobbler/web/cobbler_web/views.py.
  * Added patches:
    - fixed-failed_to_read_cobbler.1.gz.patch (Closes: #839325).
    - remove_cobblerd.org_references.patch (Closes: #830302).
  * Fixed incorrectly builds power templates into pxe directory
    (Closes: #830505).
  * Add patch to make Cobbler reproducible (Closes: #831214).
  * Do not run unit tests, they are in fact functional tests, and cannot be
    ran at build time (Closes: #831213).

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Feb 2016 20:49:50 +0800

cobbler (2.6.6+dfsg1-12) unstable; urgency=medium

  * koan now depends on libvirt-daemon-system instead of libvirt-bin.
    (Closes: #809418)

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Jan 2016 16:14:37 +0800

cobbler (2.6.6+dfsg1-11) unstable; urgency=medium

  * Added Danish translation of the debconf templates thanks to Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #790070).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Jun 2015 10:12:36 +0200

cobbler (2.6.6+dfsg1-10) unstable; urgency=medium

  * Added translation of debconf messages:
    - Dutch thanks to Frans Spiesschaert (Closes: #789280).
    - Brazilian Portuguese thanks to Adriano Rafael Gomes (Closes: #789507).
    - Spanish thanks to jathan (Closes: #789962).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:03:21 +0200

cobbler (2.6.6+dfsg1-9) unstable; urgency=medium

  * Added French debconf templates translation thanks to Julien Patriarca
    <leatherface@debian.org> (Closes: #789031).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jun 2015 15:30:33 +0200

cobbler (2.6.6+dfsg1-8) unstable; urgency=medium

  * Added Russian debconf templates translation thanks to Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #788512).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Jun 2015 15:53:54 +0200

cobbler (2.6.6+dfsg1-7) unstable; urgency=medium

  * Added German debconf translation thanks to Pfannenstein Erik
    <debianignatz@gmx.de> (Closes: #788490).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 23:33:51 +0200

cobbler (2.6.6+dfsg1-6) unstable; urgency=medium

  * Purges /etc/cobbler/{users.digest,settings} on purge (Closes: #787835).
  * Updated pt.po debconf translation (Closes: #788368).
  * Initial Initial Czech PO debconf translation (Closes: #788329).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jun 2015 10:20:14 +0200

cobbler (2.6.6+dfsg1-5) unstable; urgency=medium

  * Fixes debconf templates and short+long descriptions reviewed by the Debian
    English team (Closes: #785072).
  * Ran debconf-updatepo.
  * Fixed wrong name for template in cobbler.postinst (Closes: #787831).

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Jun 2015 20:17:47 +0200

cobbler (2.6.6+dfsg1-4) unstable; urgency=medium

  * Removed the hack about configuring only on first install, which is IMO a
    policy violation. Hopefully, the package should be policy compliant now.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 May 2015 16:37:17 +0000

cobbler (2.6.6+dfsg1-3) unstable; urgency=medium

  * Now using 2 different debconf entries for the 2 directives.
  * Added corrections for the debconf text thanks to the review from
    the english team (Closes: #785072).
  * Fixed bash completion installation folder.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 May 2015 18:22:29 +0200

cobbler (2.6.6+dfsg1-2) unstable; urgency=medium

  * Added pt.po Portuguese translation of Debconf (Closes: #784698).
  * Fixed  cobbler: modifies conffiles (policy 10.7.3):
    /etc/cobbler/{users.digest, settings} (Closes: #784253).
  * Added libapache2-mod-wsgi as Depends: for cobbler-web (Closes: #784255).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 23:08:51 +0200

cobbler (2.6.6+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #545583)

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Feb 2015 15:00:58 +0000

=== debian/control ===
Source: cobbler
Section: admin
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-systemd,
               dh-python,
               openstack-pkg-tools (>= 39~),
               git-core,
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: lsb-release,
                     python-cheetah,
                     python-netaddr,
                     python-nose,
                     python-simplejson,
                     python-twisted,
                     python-urlgrabber,
                     python-yaml
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/cobbler.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/cobbler.git
Homepage: http://www.cobblerd.org

Package: python-cobbler
Section: python
Architecture: all
Depends: hardlink,
         lsb-release,
         openssl,
         python-cheetah,
         python-distro-info,
         python-django,
         python-netaddr,
         python-simplejson,
         python-twisted,
         python-urlgrabber,
         python-yaml,
         rsync,
         ${misc:Depends},
         ${python:Depends}
Description: network boot, install, and update server - Python modules
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 This package provides the Python libraries for Cobbler.

Package: cobbler-common
Architecture: all
Depends: adduser, syslinux-common, python-cobbler (= ${binary:Version}), ${misc:Depends}
Provides: ${python:Provides}
Description: network boot, install, and update server - common files
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 This package provides the common files.

Package: cobbler-web
Architecture: all
Depends: apache2,
         apache2-utils,
         libapache2-mod-wsgi,
         openssl,
         cobbler-common (= ${binary:Version} ),
         ${misc:Depends}
Provides: ${python:Provides}
Description: network boot, install, and update server - web interface
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 This package provides the web interface and its configuration files.

Package: cobbler
Architecture: all
Depends: adduser,
         apache2,
         apache2-utils,
         bind9utils,
         bind9-host,
         debmirror,
         hardlink,
         libapache2-mod-wsgi,
         libjs-jquery,
         libjs-jquery-ui,
         cobbler-common (= ${binary:Version}),
         syslinux | syslinux-common,
         tftpd-hpa,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Recommends: dnsmasq,
            fence-agents,
            powerwake,
Suggests: bind9,
          createrepo,
          dhcp3-server,
          genisoimage,
          mkisofs-hpa,
          rsync,
Description: network boot, install, and update server - daemon
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 This package provides the Cobbler daemon.

Package: python-koan
Section: python
Architecture: all
Depends: python-ethtool,
         python-libvirt,
         python-simplejson,
         python-urlgrabber,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: Kickstart-Over-A-Network - Python libraries
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 Koan, "Kickstart-Over-A-Network", is a Cobbler client that supports
 virtualized guest installs and reinstalling existing Linux machines.
 .
 This package provides the Python libraries for koan.

Package: koan
Architecture: all
Depends: libvirt-daemon-system,
         lvm2,
         python,
         python-netaddr,
         python-yaml,
         syslinux | syslinux-common,
         virtinst,
         python-koan (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Suggests: createrepo, dhcp3-server, mkisofs-hpa, rsync, selinux-utils, tftpd-hpa
Description: kickstart-over-a-network (koan)
 Cobbler is a network install server supporting PXE, virtualized installs,
 and reinstalling existing Linux machines (the last two modes use an
 integrated helper tool, "koan"). Cobbler's advanced features include
 importing distributions from DVDs and rsync mirrors, Kickstart templating,
 integrated yum mirroring, and built-in DHCP/DNS management. It has a
 Python and XMLRPC API for integration with other applications, and there
 is also a web interface.
 .
 Koan, "Kickstart-Over-A-Network", is a Cobbler client that supports
 virtualized guest installs and reinstalling existing Linux machines.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/cobbler/cobbler.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_build:
	python setup.py build build_cfg --install-scripts=/usr/bin --install-data=/usr --install-lib=/usr/lib

override_dh_auto_clean:
	dh_auto_clean
	rm -f docs/*.gz
	rm -f debian/*.upstart debian/*.service debian/*.init

override_dh_auto_test:
	# TODO: find a way to run unit tests
	echo "Do not run unit tests at this time."
#	sed -i s:%%%REPLACE_ME%%%:$(CURDIR): debian/tests.patch
#	patch -p1 <debian/tests.patch
#	PATH=$$PATH:$(CURDIR)/bin PYTHONPATH=.:$(CURDIR)/cobbler nosetests cobbler/*.py || true
#	patch -p1 -R <debian/tests.patch

override_dh_auto_install:
	python setup.py install -f --optimize=1 --install-layout=deb --root=$(CURDIR)/debian/tmp --prefix=/usr/

override_dh_install:
	dh_install -O--buildsystem=python_distutils

	# These have nothing to do here...
	rm $(CURDIR)/debian/cobbler/etc/init.d/cobblerd
	rm -rf $(CURDIR)/debian/cobbler/usr/share/python

	# Symlink to separatedly packaged jquery / jquery-ui
	ln -s /usr/share/javascript/jquery/jquery.min.js	$(CURDIR)/debian/cobbler-common/var/lib/cobbler/www/cobbler_webui_content/jquery.min.js
	ln -s /usr/share/javascript/jquery-ui/jquery-ui.min.js	$(CURDIR)/debian/cobbler-common/var/lib/cobbler/www/cobbler_webui_content/jquery-ui.min.js

	# Move cobbler folder as cobbler-common
	mv $(CURDIR)/debian/cobbler-common/usr/share/cobbler $(CURDIR)/debian/cobbler-common/usr/share/cobbler-common

	# Move the settings.py so that we can copy it in /etc/cobbler in the
	# postinst of cobbler
	mkdir -p $(CURDIR)/debian/cobbler-web/usr/share/cobbler-web/config
	mv $(CURDIR)/debian/cobbler-common/usr/share/cobbler-common/web/settings.py $(CURDIR)/debian/cobbler-web/usr/share/cobbler-web/config
	mkdir -p $(CURDIR)/debian/cobbler-web/usr/share/cobbler-common/web
	ln -s /etc/cobbler/settings.py $(CURDIR)/debian/cobbler-web/usr/share/cobbler-common/web/settings.py

	# Fix location of stuff in /etc/cobbler
	mkdir -p $(CURDIR)/debian/cobbler-common/usr/share/bash-completion/completions
	mv $(CURDIR)/debian/cobbler-common/etc/cobbler/cobbler_bash $(CURDIR)/debian/cobbler-common/usr/share/bash-completion/completions/cobbler.bash_completion
	set -e ; for i in cobbler_web.conf cobbler.conf cobblerd_rotate cobblerd ; do \
		rm $(CURDIR)/debian/cobbler-common/etc/cobbler/$$i ; \
	done

	# Fix the /etc/cobbler/power folder
	rm $(CURDIR)/debian/cobbler-common/etc/cobbler/power/*
	cp $(CURDIR)/debian/power/* $(CURDIR)/debian/cobbler-common/etc/cobbler/power

	# Fix the /etc/cobbler/pxe folder
	rm $(CURDIR)/debian/cobbler-common/etc/cobbler/pxe/*
	cp $(CURDIR)/debian/pxe/* $(CURDIR)/debian/cobbler-common/etc/cobbler/pxe
	cp $(CURDIR)/debian/power/* $(CURDIR)/debian/cobbler-common/etc/cobbler/pxe

	# Move /etc/cobbler/{users.digest, settings} to /usr/share since we want to use
	# debconf for configuring them.
	mkdir -p $(CURDIR)/debian/cobbler-common/usr/share/cobbler-common/debian-package-etc-templates
	mv $(CURDIR)/debian/cobbler-common/etc/cobbler/users.digest $(CURDIR)/debian/cobbler-common/usr/share/cobbler-common/debian-package-etc-templates
	mv $(CURDIR)/debian/cobbler-common/etc/cobbler/settings $(CURDIR)/debian/cobbler-common/usr/share/cobbler-common/debian-package-etc-templates
	sed -i 's|webdir: @@webroot@@/cobbler|webdir: /var/lib/cobbler/www/cobbler|' $(CURDIR)/debian/cobbler-common/usr/share/cobbler-common/debian-package-etc-templates/settings

	# Fix shipped modules.conf to use dnsmasq by default
	pkgos-fix-config-default $(CURDIR)/debian/cobbler-common/etc/cobbler/modules.conf dns module manage_dnsmasq
	pkgos-fix-config-default $(CURDIR)/debian/cobbler-common/etc/cobbler/modules.conf dhcp module manage_dnsmasq

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
https://github.com/cobbler/cobbler/tags .*/v(\d[\d\.]*)\.tar\.gz
